/// <reference types="react" />
import { Client, useQuery, useMutation, CombinedError } from "urql";
export declare const CORE_API_URL = "https://gateway.transformdata.io/graphql";
export declare type MqlContextType = {
    coreApiUrl: string;
    mqlServerUrl?: string | null;
    setMqlServer: (newServerId: number) => Promise<any>;
    mqlServerOverrideLoading: boolean;
    modelKey?: {
        readonly organizationId: string | null;
        readonly repository: string | null;
        readonly branch: string | null;
        readonly commit: string | null;
    } | null;
    setModelKey: (newModelId: number) => Promise<any>;
    modalKeyOverrideLoading: boolean;
    mqlClient: Client;
    getToken: () => Promise<string>;
    useQuery: typeof useQuery;
    useMutation: typeof useMutation;
    handleCombinedError: (e: CombinedError) => void;
};
export declare const MqlContextInitialState: {
    coreApiUrl: string;
    mqlServerUrl: null;
    setMqlServer: () => Promise<void>;
    mqlServerOverrideLoading: boolean;
    modelKey: null;
    setModelKey: () => Promise<void>;
    modalKeyOverrideLoading: boolean;
    mqlClient: Client;
    getToken: () => Promise<string>;
    useQuery: typeof useQuery;
    useMutation: typeof useMutation;
    handleCombinedError: (e: CombinedError) => never;
};
declare const _default: import("react").Context<MqlContextType>;
export default _default;
