"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var head_1 = __importDefault(require("next/head"));
var MqlServerHealth_1 = __importDefault(require("../queries/mql/MqlServerHealth"));
var useMqlQuery_1 = __importDefault(require("../hooks/useMqlQuery"));
var Home_module_css_1 = __importDefault(require("../styles/Home.module.css"));
var MqlContext_1 = __importDefault(require("../context/MqlContext/MqlContext"));
// Per our notes in useMqlQuery, queryInput must be stable.
var queryInput = {};
function MqlContextDemo() {
    // Here is a simple way to access the MQL Server URL directly,
    // as well as a useQuery hook for custom queries
    var _a = react_1.useContext(MqlContext_1.default), mqlServerUrl = _a.mqlServerUrl, useQuery = _a.useQuery;
    // Here is a simple way to run a custom graphql query against the MQL Server
    var healthCheckData = useQuery({
        query: MqlServerHealth_1.default,
        pause: !mqlServerUrl,
    })[0].data;
    // Here is a simple example of the useMqlQuery hook to fetch data to be plotted in a chart
    var query = useMqlQuery_1.default({
        queryInput: queryInput,
        metricName: "question_replies",
        limit: 365,
    });
    var data = query.data, queryStatus = query.queryStatus, queryId = query.queryId;
    return (react_1.default.createElement("div", { className: Home_module_css_1.default.container },
        react_1.default.createElement(head_1.default, null,
            react_1.default.createElement("title", null, "Transform React Demo"),
            react_1.default.createElement("link", { rel: "icon", href: "/favicon.ico" })),
        react_1.default.createElement("main", { className: Home_module_css_1.default.main },
            react_1.default.createElement("h1", { className: Home_module_css_1.default.title }, "MqlContext"),
            react_1.default.createElement("p", { className: Home_module_css_1.default.description },
                "MQL Server URL:",
                react_1.default.createElement("code", { className: Home_module_css_1.default.code }, mqlServerUrl)),
            react_1.default.createElement("p", { className: Home_module_css_1.default.description },
                "MQL Server Health Check:",
                react_1.default.createElement("code", { className: Home_module_css_1.default.code }, JSON.stringify(((healthCheckData === null || healthCheckData === void 0 ? void 0 : healthCheckData.healthReport) || [])[0]))),
            react_1.default.createElement("p", { className: Home_module_css_1.default.description },
                "MQL Query ID:",
                react_1.default.createElement("code", { className: Home_module_css_1.default.code }, queryId)),
            react_1.default.createElement("p", { className: Home_module_css_1.default.description },
                "MQL Query Status:",
                react_1.default.createElement("code", { className: Home_module_css_1.default.code }, queryStatus)),
            react_1.default.createElement("p", { className: Home_module_css_1.default.description },
                "MQL Query Chart:",
                react_1.default.createElement("code", { className: Home_module_css_1.default.code }, JSON.stringify(data === null || data === void 0 ? void 0 : data.result)))),
        react_1.default.createElement("footer", { className: Home_module_css_1.default.footer },
            react_1.default.createElement("a", { href: "https://vercel.com?utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app", target: "_blank", rel: "noopener noreferrer" },
                "Powered by",
                " ",
                react_1.default.createElement("img", { src: "/vercel.svg", alt: "Vercel Logo", className: Home_module_css_1.default.logo })))));
}
exports.default = MqlContextDemo;
