"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PandasJsonOrient = exports.MqlQueryStatus = exports.CacheMode = exports.AtomicConstraintType = void 0;
/** Current possible values for constraints */
var AtomicConstraintType;
(function (AtomicConstraintType) {
    AtomicConstraintType["Set"] = "SET";
    AtomicConstraintType["Range"] = "RANGE";
})(AtomicConstraintType = exports.AtomicConstraintType || (exports.AtomicConstraintType = {}));
/** An enumeration. */
var CacheMode;
(function (CacheMode) {
    CacheMode["Read"] = "READ";
    CacheMode["Readwrite"] = "READWRITE";
    CacheMode["Write"] = "WRITE";
    CacheMode["Ignore"] = "IGNORE";
})(CacheMode = exports.CacheMode || (exports.CacheMode = {}));
/**
 * The status of queries submitted for execution in the query manager.
 *
 * Note: Obviously we need to link this from the version in query_manager.
 */
var MqlQueryStatus;
(function (MqlQueryStatus) {
    MqlQueryStatus["Pending"] = "PENDING";
    MqlQueryStatus["Running"] = "RUNNING";
    MqlQueryStatus["Successful"] = "SUCCESSFUL";
    MqlQueryStatus["Failed"] = "FAILED";
    MqlQueryStatus["UnhandledException"] = "UNHANDLED_EXCEPTION";
    MqlQueryStatus["Unknown"] = "UNKNOWN";
})(MqlQueryStatus = exports.MqlQueryStatus || (exports.MqlQueryStatus = {}));
/**
 * Determines the format of the JSON output for the DataFrame
 *
 * See https://pandas.pydata.org/pandas-docs/stable/reference/api/pandas.DataFrame.to_json.html
 */
var PandasJsonOrient;
(function (PandasJsonOrient) {
    PandasJsonOrient["Split"] = "SPLIT";
    PandasJsonOrient["Records"] = "RECORDS";
    PandasJsonOrient["Index"] = "INDEX";
    PandasJsonOrient["Columns"] = "COLUMNS";
    PandasJsonOrient["Values"] = "VALUES";
    PandasJsonOrient["Table"] = "TABLE";
})(PandasJsonOrient = exports.PandasJsonOrient || (exports.PandasJsonOrient = {}));
